### Function

# Qmi MessageDmsFoxconnSetFccAuthenticationInput new

since: 1.28.6

#### Declaration [src]

    QmiMessageDmsFoxconnSetFccAuthenticationInput*
    qmi_message_dms_foxconn_set_fcc_authentication_input_new (
      void
    )

#### Description [src]

Allocates a new `QmiMessageDmsFoxconnSetFccAuthenticationInput`.

Available since: 1.28.6

#### Return value

Type: `QmiMessageDmsFoxconnSetFccAuthenticationInput`

The newly created `QmiMessageDmsFoxconnSetFccAuthenticationInput`. The returned value should be freed with qmi_message_dms_foxconn_set_fcc_authentication_input_unref().

The caller of the function takes ownership of the data, and is responsible for freeing it.